Page MenuHomePhabricator

[DO NOT USE] Issues affecting translatewiki.net [superseded by #affects-translatewiki.net]
Closed, InvalidPublic

Details

Reference
bz39480

Event Timeline

There are a very large number of changes, so older changes are hidden. Show Older Changes
Nikerabbit renamed this task from Bugs affecting translatewiki.net (errors from MediaWiki master) (tracking) to Issues affecting translatewiki.net.Jun 14 2018, 9:33 AM
Nikerabbit updated the task description. (Show Details)

Heads-up: Note that this tracking task might be converted into a Phabricator project tag, as proposed in T231991.

Phabricator_maintenance removed subtasks: T231443: Uncaught Wikimedia\Rdbms\DBUnexpectedError: Wikimedia\Rdbms\Database::close: mass commit/rollback of peer transaction required (DBO_TRX set), T231196: $wgActorTableSchemaMigrationStage = SCHEMA_COMPAT_NEW; brings down translatewiki.net, T229566: BagOStuff InvalidArgumentException from line 710, T228250: PHP Notice: Undefined property: stdClass::$module in OATHAuth/src/OATHUserRepository.php on line 193, T225741: Update ReplaceText to use MovePage, T228049: PHP Notice: Undefined variable: values at PageForms/includes/PF_FormField.php:354, T228048: Call to undefined method OutputPage::addWikiText(), T228025: Translate sandbox signup is broken, T225216: Bug in setting red links with MW 1.24, T219904: Link to this message dialog is broken, T213888: PHP Notice: Undefined index: sr-ec in MessageCache.php on line 1093, T211876: translatewiki.net UI FR Special:Preferences displays m'envoyer should be m'envoyer, T208712: Calls to deprecated SpecialPage::getTitle (multiple cases), T205956: HTMLInfoField.php: 'default' must be a FieldLayout or subclass when using 'rawrow', T204431: Error from line 733 of /srv/mediawiki/tags/2018-09-16_09:30:30/extensions/PageForms/includes/PF_AutoeditAPI.php: Call to a member function getNativeData() on null, T199323: Checkuser does not truncate data (cuc_comment, cuc_agent, cuc_actiontext) and that causes exceptions with strict mode, T198285: Renameuser producing a lot of errors, T197472: edit.php and rollbackEdits.php scripts failing with MWException "CAS update failed on user_touched", T197223: PageForms uses deprecated hooks LinkEnd, T196967: Special:Notifications show ugly wfWikiId() instead of site name, T196930: Invalid argument supplied for foreach() in /srv/[...]/extensions/LiquidThreads/classes/View.php on line 505, T193668: Transaction should be in the callback stage (not 'cursory'), T191237: Notice: Undefined index: file2 in includes/libs/CSSMin.php on line 460, T187471: Remove/Update deprecated SpecialPage::getTitle (deprectated on MW 1.23), T181365: ImagePage.php: Call to a member function getDefaultRenderLanguage() on a non-object (boolean), T179467: Notice: Undefined property: stdClass::$page_is_new in ContribsPager.php, T177489: Fix Uncaught Error: Widget not found, T166859: ApiFeedContributions date filter broken after T120733, T154425: Delete action throws a DBUnexpectedError with "MWCallableUpdate::doUpdate: Cannot flush snapshot because writes are pending (JobQueueDB::doBatchPush)", T164912: ApiTranslateSandbox: ApiUsageException::__construct requires a fatal Status, T164193: LQT edit has edit summary and checkboxes one under the other, T160852: Uncaught TypeError: Cannot read property 'defaultView' of null, T160523: DBTransactionError: transaction round 'SMW\\DeferredCallableUpdate::doUpdate' still running, T155265: LiquidThreads denial of service due to unvalidated limit parameter, T157679: Exception thrown with an uncommited database transaction: MWCallableUpdate::doUpdate: Flush failed on server(s), T157106: IRC relay broken in master, T157033: Notice: Undefined index: HASH in /srv/mediawiki/php-1.29.0-wmf.10/includes/cache/MessageCache.php on line 594, T156996: Various PHP warnings are breaking FormattedRCFeed, T156901: Database updater fails, T153761: Incorrect parser output if -{{ appears in wikitext, T152603: Invalid parameter for message "api-help-permissions-granted-to", T151523: Unexpected output from Pygments encountered, T148008: Notice: Undefined index: 205 in includes/api/ApiQuerySiteinfo.php on line 326, T145650: Log errors when moving a thread, T147843: LiquidThreads throws exceptions: Call to a member function getContent() on a non-object (null), T146873: Category display broken, T144686: Cannot delete any page: "A database query error has occurred", T144513: Unable to delete a page, T143889: Replies impossible: The content format json is not supported by the content model, T140258: "insource" search can fatal: RuntimeException from line 402 of CirrusSearch/includes/Search/ResultsType.php, T141540: Warning: Invalid argument supplied for foreach() in classes/View.php on line 507, T137244: Notice: Undefined index: WOC:d in /srv/mediawiki/php-1.28.0-wmf.5/includes/libs/objectcache/WANObjectCache.php on line 803, T135467: ApiQuerySiteInfo does not support `$wgAddGroups['group'] = true`, T111486: Update Translate to use AuthManager, T134885: Update InviteSignup to use AuthManager, T102744: Undefined index: enotifminoredits in /var/www/core/core/includes/GlobalFunctions.php on line 330, T134562: SMW triggers "Sessions are disabled for this entry point", T134403: SpecialWatchlistQuery hook (used in LqtHooks::beforeWatchlist) was deprecated in MediaWiki 1.23, T48767: LQT: "Call to a member function getTitle() on a non-object" accessing an history entry with "Comment text edited (since deleted)", T125350: Exception encountered, of type "BadMethodCallException" at Special:AdminLinks, T127699: Fatal error in diffs on HHVM 3.12, T124628: LiquidThreads does not truncate comments: Data too long for column 'th_change_comment', T124163: Fatal error: Cannot access protected property DiffEngine::$seq, T124149: SF_AutoeditAPI.php: Call to a member function formHTML() on a non-object (null), T123829: Fatal error: Stack overflow in WANObjectCache.php on line 253, T121694: Notice: Undefined index in LinkNormalizer.php, T120075: Notice: Undefined index: 2 in /srv/mediawiki/php-1.27.0-wmf.7/includes/api/ApiFeedWatchlist.php on line 268 , T120068: SyntaxHighlight_GeSHi's dependency "kzykhys/pygments" is broken, T116266: Undefined property: DiffEngine::$seq, T117877: Warning: array_merge() expects parameter 1 to be array, null given, T117854: Missing updater for rc_ip field: RecentChange::save: 1406 Data too long for column 'rc_ip', T116216: repoexport broken: MWException from line 186 of /srv/mediawiki/tags/2015-10-18_19:48:39/extensions/Translate/ffs/SimpleFFS.php: Write path '.' does not exist., T111912: SF_FormLinker.php: PHP Notice: Undefined variable: property_name, T111836: CdbReader::get returns incorrect values when opening multiple files, T110906: Non-deleted thread saved with empty root ID, T109221: MWException /RecentChange.php: Attempt to write "2a02:810d:1440:" as an IP address, T109193: ErrorException SpecialUserlogin.php: Invalid operand type was used, T109183: Some edits to MediaWiki namespace time out on translatewiki.net, T107751: Special:ConfirmEmail: BadMethodCallException in User.php, T95839: CAS update failed on user_touched for user ID, T105887: CirrusSearch generates PHP notices when server is down, T105890: Missing database prefix for echo_event, T104908: PHP Notice: Undefined property: Message::$isDisabled, T104690: Regression: Unable to have redirect-less main page, T103781: PHP Notice: "Undefined index: value in includes/filerepo/file/ForeignAPIFile.php:201", T102321: PHP Notice "Title::newFromText: $text must be a string in Parser::replaceInternalLinks2", T100085: PHP Notice: JobQueueGroup::__destruct: 1 buffered job(s) never inserted, T99536: Title::newFromText: $text must be a string [includes/Title.php at line 266], T99375: PHP warnings in ApiOpenSearch, T96479: PHP Notice: Undefined index: callback in includes/api/ApiFormatJson.php, T96422: PHP Warning: Invalid argument supplied for foreach() in LiquidThreads/classes/Hooks.php on line 944 , T96143: Echo does not seem to respect $wgEnableEmail = false, T95837: LQT sends duplicate enotif for past actions on updated thread, T61124: Invalid parameter for message "parentheses", T76938: Special:AncientPages times out on translatewiki.net, T88891: PHP Warning: Search backend error during regex search for 'insource:/~~~~/' after 128. Regex syntax error: expected ')' at position 10], T87228: PHP Fatal error: Call to undefined function wfRandomString()/wfParseUrl() , T78283: Division by zero in profileinfo.php, T75556: PHP Notice: Uninitialized string offset: includes/libs/JavaScriptMinifier.php on line 571, T73168: Linker::link: Requires $target to be a Title object [Called from ApiFeedLQTThreads::createFeedItem], T73073: JobQueue does not respect --maxtime, T69733: Error creating thumbnail: Multiple SVG files are only allowed for PDF and (E)PS output., T69676: [WebFonts] Uncaught TypeError: Cannot read property 'replace' of undefined, T69601: Search backend error during full_text search on forward slash, T71006: Incorrect warning about navigating away after posting thread, T70938: Fatal error: Call to a member function add() on a non-object in Translate/utils/RcFilter.php on line 33, T74260: Call to a member function getPrefixedText() on a non-object in PrefixSearch.php, T74228: At least one user is permanently unable to use Special:RecentChanges on translatewiki.net, T60737: Call to protected method SMWSQLStore3::doDataUpdate() from context 'SMWSQLStore3SetupHandlers', T60694: ResourceLoaderFileModule::readScriptFiles: script file not found: .../jquery.mapforminput.js, T69059: Warning: Search backend error during counting links to 1 pages after 1, T67396: Use of User::editToken was deprecated in MediaWiki 1.19. [Called from SFAutoeditAPI::setupEditPage], T74131: PHP notice on every api page, T65678: Watchlist notifications do not respect $wgEnableEmail = false, T74103: Provide action=help entry point for all modules of an extension/group, T60502: Table bw_smw_fpt_askdu not found, T70363: PHP Notice: Undefined variable: num_matches in /extensions/ReplaceText/ReplaceTextJob.php on line 89, T73870: PHP Notice: Found alias defined for Log, T72040: PHP Notice: Undefined offset: 1198 in ThreadPermalinkView.php on line 125, T55341: Convert $wgDebugDBTransactions to debug log group., T65108: Declaration of NCL::beginRecentChangesList() should be compatible with EnhancedChangesList::beginRecentChangesList($res), T58409: Internal error with Modern and Monobook on specific pages, T55016: Linker::processResponsiveImages does not check errors from File::transform, T59816: Fatal error: Class 'MapsMappingServices' not found in extensions/Maps/includes/services/GoogleMaps3/GoogleMaps3.php on line 98, T63210: PHP Notice: Undefined variable: wikitext, T58269: Uncommitted DB writes (transaction from DatabaseBase::query (Block::newLoad)), T56670: Fatal error: Call to a member function setFragment() on a non-object in ThreadPermalinkView.php on line 168, T64793: PHP Fatal error: Call to a member function equals() on a non-object in SemanticMaps/src/queryprinters/SM_QueryHandler.php, T58124: Catchable fatal error: Object of class Closure could not be converted to string in /var/www/w/git/includes/db/Database.php on line 3912, T56514: 1= plural rule not working for Russian (and maybe other languages), T51320: semanticforms JS error when I [Edit with form] my user page, T47978: Found alias defined for Userrights when searching for special page aliases for UserRights. Case mismatch, T62795: [Regression] Can no longer select the number of changes to show in Special:RecentChanges, T56254: LQT: Call to a member function getPrefixedText() on a non-object in ThreadPermalinkView.php on line 83, T57826: PHP Fatal error: Only variables can be passed by reference in includes/api/ApiBrowse.php, T46191: Notice: Did not find alias for special page 'ExportRDF'. Perhaps no aliases are defined for it?, T60969: "Data repair and upgrade" not completing using non-interactive job queue runner, T56194: Exception from Translate/MessageCollection.php: Unknown filter, T47848: API is applying normalization that Title doesn't, T44315: Map input broken: Uncaught ReferenceError: google is not defined, T59238: MediaWiki should not prevent creation of empty pages, T44291: Can't save non-default content model with $wgContentHandlerUseDB disabled: model is wikitext , default for EtherpadLite:Pad.modals.initsocketfail.cause/fr is text, T49414: New messages count disappearing on Special:NewMessages after clicking thread as read, T44244: LQT should not do any calls on Title::isValidMoveOperation unconditionally, especially when the titles are not related to threads at all, T44225: PHP Notice: Undefined offset: 0 in /www/translatewiki.net/w/languages/Language.php on line 2965, T49375: Address "DB transaction callbacks still pending" warnings from Database.php, T47697: Google Maps not working with https, T49335: Parameter 1 to Language::findVariantLink() expected to be a reference, value given, T50928: Impossible to patrol new page with subsequent edit, T44146: PHP Notice: Undefined index: HTTP_USER_AGENT in /www/translatewiki.net/w/extensions/SemanticForms/includes/SF_FormUtils.php on line 252, T54223: Unable to save translation if identical to original content, T50809: LQT Fatal error: __clone method called on non-object, T43998: Declaration of ForeignAPIRepo::getZoneUrl() should be compatible with that of FileRepo::getZoneUrl(), T47492: [SF 2.5.2] Undefined variable: pageTitle in ... SF_FormEdit.php on line 122, T42378: Transaction warning: WikiPage::doEdit (User::loadFromDatabase) (TranslateMetadata::get), T42375: Transaction warning: WikiPage::doDeleteArticleReal, T42377: Transaction warning: EditPage::commitWatch (SMWStore::updateData), T42376: Transaction warning: SiteStatsUpdate::doUpdate, T42374: Transaction warning: LoadBalancer::commitMasterChange, T45765: Fatal error: Call to undefined method ParamProcessor\ParamDefinition::getDescription() in specials/AskSpecial/SMW_QuerySpecialPage.php, T45766: PHP Notice: Undefined index: transclusion in includes/actions/InfoAction.php, T47417: Special:RecentChanges displaying internal error: LinkCache doesn't know redirect status of this title, T45726: Fatal error: Class 'ApiGeocode' not found in includes/api/ApiMain.php on line 1140, T50655: LQT: Deletion of thread failed with MWException: "Post has contaminated reply" in Thread.php::checkReplies, T45704: Argument 1 passed to SMGeoCoordsValue::getFormattedCoord() must be an instance of SMWDIGeoCoord, array given, T45702: PHP Fatal error: Call to a member function setDefault() on a non-object, T45693: All LiquidTreads actions done twice, T43864: Some PHP Warnings in /scripts/processMessageChanges.php, T49000: Preference "Email me on replies to a thread I am watching" is false by default, T43828: TypeError: this.params is undefined, T52153: Fatal on Special:Contributions: Invalid or virtual namespace -1 given, T45577: Undefined variable: any, T45576: LoadBalancer::commitMasterChanges: Flushing an explicit transaction, getting out of sync!, T45575: PHP notices: Explicit commit of implicit transaction and Transaction already in progress, T43738: Misplaced IME icon and selector in ULS language selector, T43735: Notice given when TextContent constructed with $text = false should name caller, T40632: [Fatal error] Attempt to get the latitude of an invalid location, T45516: MessageCache.php: Could not acquire lock, T42083: Preview broken on thread reply posting/edit (Uncaught Exception in JavaScript), T48836: PHP Notice: ob_end_clean(): failed to delete buffer zlib output compression in includes/resourceloader/ResourceLoader.php on line 602, T43656: JobQueue not working: no jobs run except for high-priority ones like enotif, T48783: Unexpected non-MediaWiki exception: Serialization of 'Closure' is not allowed, T41967: Fatal error: Call to a member function getFullURL() on a non-object, T48719: Special:Statistics still links to Special:Activeusers, T43497: LiquidThreads: ContentHandler throws Exception "Format json is not supported for content model wikitext", T43494: Impossible to debug exceptions in API requests, T48628: Uninitialized string offset: 1 in includes/WebRequest.php on line 658, T40370: jquery.tablesorter should not interpret data-sort-value without leading zeros, T48627: PHP Notice: Uninitialized string offset: 1 in /includes/WebRequest.php on line 658, T43457: PHP Fatal error: Cannot break/continue 2 levels in maintenance/runJobs.php on line 94, T41844: Exceptions caused by mwTimestamp() are not caught, T40334: PHP Notice: Undefined index: href in /www/w/skins/Vector.php on line 416, T41773: "You cannot post a blank message" error on every summary edit and more, T46898: TextContent constructed with $text = NULL, T45205: Content/User language mix ups leading to visual distortion, T43278: LQT does two UPDATE calls on every call to Title::isValidMoveOperation, T48398: Output from var_dump() appears on top of Special:FirstSteps, T41565: Special:EditWatchlist doesn't load, gives Fatal exception of type MWException, T49981: Improvement of glossary tools, T43168: /w/api.php Exception from line 104 of /www/translatewiki.net/w/includes/WikiPage.php: Invalid or virtual namespace -1 given., T41513: LQT notification email (enotif) are sent for replies/new threads on watchlisted pages/threads regardless of users' enotif settings, T41507: Upload by URL fails without giving any error, T41508: Large history requests time out with PHP Fatal error, T41479: Revision::fetchFromConds: Deadlock found when trying to get lock, T41478: #forminput pollutes cache with UI language, T48304: Call to a member function matchStartAndRemove() on a non-object, T43100: Job queue improvements contain unannounced schema changes, T43099: Job::pop and pop_type were removed, T43098: Call to undefined method Title::getType() in .../includes/job/JobQueueGroup.php, T46583: PHP Warning: Parameter 1 to Language::findVariantLink() expected to be a reference, value given, T43078: Special:ActiveUsers query is very slow, T48239: Uncaught TypeError: Cannot read property 'collapsetext' of undefined, T43056: LQT: Call to a member function getPrefixedText() on a non-object in ThreadPermalinkView.php on line 207, T48221: Fatal error: Call to a member function getDBKey(), T41363: Error: 1062 Duplicate entry '2388135' for key 'thread_root, T41365: wfMakeUrlIndexes does not validate input, T41332: Database error can garble the page display, T41287: calling tableExists breaks fetchObject, T42877: LoadBalancer::commitMasterChanges: Explicit commit of implicit transaction, T39671: Argument 2 passed to SMWValueDescription::__construct() must be an instance of SMWDIProperty, integer given, T41132: #ask does not work inside #ifeq or #switch, T44624: Undefined index: formHTML, formJS, T39583: Give ad-hoc email notification for thread move, T42748: result format rss / not working as expected (1.8 beta 1), T46224: Maps not loading at all, T42637: Only variables should be passed by reference LiquidThreads/api/ApiThreadAction.php, T42636: Only variables should be passed by reference in LiquidThreads/api/ApiQueryLQTThreads.php, T42635: Special:CreateProperty already in use, T32698: Threads moved to a watched page do not trigger e-mail notifications, T40897: LCStore_CDB::getFileName: Invalid language "0", T31059: PHP notices in revisiondelete, T42589: Database "Error: 1213 Deadlock" while running rebuildLocalisationCache.php, T30826: LiquidThreads: Fix "PHP Notice: Undefined variable: _SESSION in View.php on line 415", T39209: LinkCache doesn't currently know about this title, T25547: Exception: Thread 2951 purports to be moved, but no redirect found ..., T23759: LiquidThreads should allow "mark unread", T27038: Reproducible Internal Error: Null thread passed to linkInContextData, T37168: Work around out of memory issue when exporting large message groups, T30138: PHP Notice: Thread 69 has no title, T28455: Thread move page should have autocompletion for the target field, T28383: Anonymous users can't write threads if create=false, T24510: LQT: Make invalid type parameter in ApiFeedLQTThreads fail more gracefully, T22644: Messy 'new messages' pages, T19479: cleanupWatchlist.php --fix hanging.Sep 26 2019, 1:55 PM
Aklapper renamed this task from Issues affecting translatewiki.net to [DO NOT USE] Issues affecting translatewiki.net [superseded by #affects-translatewiki.net].Sep 26 2019, 1:58 PM
Aklapper closed this task as Invalid.
Aklapper lowered the priority of this task from Normal to Lowest.
Aklapper edited projects, added affects-translatewiki.net; removed MediaWiki-General.
Aklapper updated the task description. (Show Details)
Restricted Application removed a subscriber: Liuxinyu970226. · View Herald TranscriptSep 26 2019, 1:58 PM